ubuntu-release-upgrader (1:24.04.28) noble; urgency=medium

  * Run pre-build.sh: updating mirrors for point release (LP: #2138637)

 -- Florent 'Skia' Jacquet <skia@ubuntu.com>  Mon, 19 Jan 2026 16:31:44 +0100

ubuntu-release-upgrader (1:24.04.27) noble; urgency=medium

  * Run pre-build.sh: updating mirrors for point release (LP: #2118789)

 -- Nick Rosbrook <enr0n@ubuntu.com>  Fri, 25 Jul 2025 12:08:16 -0400

ubuntu-release-upgrader (1:24.04.26) noble; urgency=medium

  [ Erich Eickmeyer ]
  * DistUpgradeQuirks: install pipewire-audio on ubuntu studio upgrades,
    uninstalling pulseaudio and preventing install of
    pulseaudio:i386 (LP: #2078639)

  [ Nick Rosbrook ]
  * Run pre-build.sh: updating mirrors and translations.

 -- Nick Rosbrook <enr0n@ubuntu.com>  Fri, 31 Jan 2025 12:11:23 -0500

ubuntu-release-upgrader (1:24.04.25) noble; urgency=medium

  * DistUpgradeQuirks: skip sd-resolved quirk if it's not running (LP: #2078555)
  * Revert "DistUpgradeQuirks: install pipewire-audio on ubuntu studio upgrades"
  * Run pre-build.sh: updating mirrors and translations.

 -- Nick Rosbrook <enr0n@ubuntu.com>  Wed, 22 Jan 2025 16:05:37 -0500

ubuntu-release-upgrader (1:24.04.24) noble; urgency=medium

  [ Julian Andres Klode ]
  * Avoid breaking upgrade by treating cross-grades as replacements
    (LP: #2081864)

  [ Nick Rosbrook ]
  * DistUpgradeQuirks: install pipewire-audio on ubuntu studio upgrades
    (LP: #2078639)
  * Run pre-build.sh: updating mirrors and translations.

 -- Nick Rosbrook <enr0n@ubuntu.com>  Thu, 16 Jan 2025 09:49:15 -0500

ubuntu-release-upgrader (1:24.04.23) noble; urgency=medium

  * Ensure that we remove only the right obsolete packages, specifically
    not kernel packages  (LP: #2078720):
    - Revert back to old obsolete logic if new one fails
    - Force obsolete removals on non-foreign packages
    - Consistently check that we do not remove protected obsolete packages
  * Run pre-build.sh: updating mirrors, demotions, and translations.

 -- Julian Andres Klode <juliank@ubuntu.com>  Thu, 05 Sep 2024 21:11:05 +0200

ubuntu-release-upgrader (1:24.04.22) noble; urgency=medium

  [ Tobias Heider ]
  * Fix typo in force_obsoletes. (LP: #2076913)

  [ Nick Rosbrook ]
  * DistUpgrade: handle cache key error when removing obsolete packages
    (LP: #2077358)
  * deb2snap: switch snap-store and firmware-updater tracks
    (LP: #2077344)
  * Run pre-build.sh: updating mirrors, demotions, and translations.

 -- Nick Rosbrook <enr0n@ubuntu.com>  Wed, 21 Aug 2024 12:55:15 -0400

ubuntu-release-upgrader (1:24.04.21) noble; urgency=medium

  * DistUpgradeQuirks: disable stub resolver on upgrades from jammy
    (LP: #2043820)
  * DistUpgrade: show a message about denied package removals
    (LP: #2073278)
  * data: add cryptsetup-initramfs to removal_denylist.cfg
    (LP: #2067622)
  * DistUpgradeQuirks: abort if system is not /usr-merged
    (LP: #2058648)
  * DistUpgradeQuirks: disable cloud-init on upgrade
    (LP: #2075968)
  * DistUpgradeQuirks: abort if rabbitmq-server installed
    (LP: #2074309)
  * Run pre-build.sh: updating mirrors, demotions, and translations.

 -- Nick Rosbrook <enr0n@ubuntu.com>  Fri, 09 Aug 2024 15:25:13 -0400

ubuntu-release-upgrader (1:24.04.20) noble; urgency=medium

  [ Mate Kukri ]
  * DistUpgradeQuirks: make sure GRUB "cloud_style_installation" is set in cloud images (LP: #2054103)

  [ Julian Andres Klode ]
  * Move the actiongroup out of the obsoletes loop
  * Reimplement obsolete removal with resolve_by_keep (LP: #1874272)

  [ Nick Rosbrook ]
  * Run pre-build.sh: updating mirrors, demotions, and translations.

 -- Nick Rosbrook <enr0n@ubuntu.com>  Fri, 12 Jul 2024 12:29:55 -0400

ubuntu-release-upgrader (1:24.04.19) noble; urgency=medium

  * DistUpgrade: drop quirk for systems with BIOS and XFS /boot (LP: #2067886)
  * DistUpgradeQuirks: make sure replacement.candidate is not None
    (LP: #2067071)
  * DistUpgrade: use tempfile for apt extended_states during simulation
    (LP: #2067585)
  * Run pre-build.sh: updating mirrors, demotions, and translations.

 -- Nick Rosbrook <enr0n@ubuntu.com>  Tue, 04 Jun 2024 11:55:51 -0400

ubuntu-release-upgrader (1:24.04.18) noble; urgency=medium

  [ Nick Rosbrook ]
  * tests: fix un-templated expected ubuntu.sources
  * DistUpgradeQuirks: prevent upgrades of TPM FDE desktops (LP: #2065229)
  * Run pre-build.sh: updating mirrors, demotions, and translations.

  [ Dave Jones ]
  * New quirk to add KMS overlay on Pi Server images (LP: #2065051)

 -- Nick Rosbrook <enr0n@ubuntu.com>  Thu, 09 May 2024 15:39:56 -0400

ubuntu-release-upgrader (1:24.04.17) noble; urgency=medium

  [ Nick Rosbrook ]
  * Revert "DistUpgrade.cfg.jammy: keep {netfilter,iptables}-persistent installed"
  * DistUpgradeQuirks: keep {netfilter,iptables}-persistent instead of ufw
    (LP: #2061891)

  [ Julian Andres Klode ]
  * DistUpgrade.cfg.jammy: Add systemd-resolved to PostUpgradeInstall
    (LP: #2063464)
  * Transition the automatically installed bit to t64 libraries, and
    do not write automatically installed bit in simulation (LP: #2064090)
  * Run pre-build.sh: updating mirrors, demotions, and translations.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 29 Apr 2024 16:26:40 +0200

ubuntu-release-upgrader (1:24.04.16) noble; urgency=medium

  [ Nathan Pratta Teodosio ]
  * DistUpgrade: readfp was replaced by read_file in configparser.
    (LP: #2062435)

  [ Nick Rosbrook ]
  * Run pre-build.sh: updating mirrors, demotions, and translations.

 -- Nick Rosbrook <enr0n@ubuntu.com>  Fri, 19 Apr 2024 15:44:24 -0400

ubuntu-release-upgrader (1:24.04.15) noble; urgency=medium

  * DistUpgrade.cfg.jammy: keep {netfilter,iptables}-persistent installed
    (LP: #2061891)
  * Run pre-build.sh: updating mirrors, demotions, and translations.

 -- Nick Rosbrook <enr0n@ubuntu.com>  Wed, 17 Apr 2024 17:10:33 -0400

ubuntu-release-upgrader (1:24.04.14) noble; urgency=medium

  [ Brian Murray ]
  * Set prompt to lts because 24.04 is one (LP: #2061214)

  [ Nick Rosbrook ]
  * DistUpgradeQuirks: tell apport to ignore update-apt-xapian-index
    (LP: #2058227)
  * DistUpgradeQuirk: fix check for linux-image-raspi in cache (LP: #2061181)
  * DistUpgradeQuirks: handle t64 replacement packages (LP: #2061175)
  * Run pre-build.sh: updating mirrors, demotions, and translations.

 -- Nick Rosbrook <enr0n@ubuntu.com>  Mon, 15 Apr 2024 15:02:26 -0400

ubuntu-release-upgrader (1:24.04.13) noble; urgency=medium

  * DistUpgradeQuirks: add quirk to remove gpg-wks-server (LP: #2060578)
  * DistUpgradeQuirks: prevent upgrades on armhf running raspi kernels
    (LP: #2060220)
  * debian: fix SyntaxWarning in apport hook
  * Run pre-build.sh: updating mirrors, demotions, and translations.

 -- Nick Rosbrook <enr0n@ubuntu.com>  Thu, 11 Apr 2024 18:10:33 -0400

ubuntu-release-upgrader (1:24.04.12) noble; urgency=medium

  [ Calvin Mwadime Makokha ]
  * fix(regex): fix invalid escape sequence error (LP: #2053038)

  [ Nick Rosbrook ]
  * Run pre-build.sh: updating mirrors, demotions, and translations.

 -- Nick Rosbrook <enr0n@ubuntu.com>  Tue, 02 Apr 2024 11:01:32 -0400

ubuntu-release-upgrader (1:24.04.11) noble; urgency=medium

  * test: fix typo assertEqaul (LP: #2059784)
  * Run pre-build.sh: updating mirrors, demotions, and translations.

 -- Nick Rosbrook <enr0n@ubuntu.com>  Fri, 29 Mar 2024 10:49:09 -0400

ubuntu-release-upgrader (1:24.04.10) noble; urgency=medium

  * DistUpgrade: rewrite any deb822 sources even if sources.list still used
    (LP: #2058938)
  * DistUpgradeQuirks: re-enable tracker-extract-3 quirk (LP: #2049907)
  * DistUpgrade: fix allowance of third-party mirrors for deb822 sources
  * Run pre-build.sh: updating mirrors, demotions, and translations.

 -- Nick Rosbrook <enr0n@ubuntu.com>  Thu, 28 Mar 2024 16:38:56 -0400

ubuntu-release-upgrader (1:24.04.9) noble; urgency=medium

  * Revert "tests: fix some more deb822 tests"
  * Run pre-build.sh: updating po files, mirrors, and demotions.

 -- Nick Rosbrook <enr0n@ubuntu.com>  Thu, 14 Mar 2024 14:18:50 -0400

ubuntu-release-upgrader (1:24.04.8) noble; urgency=medium

  * tests: fix some more deb822 tests
  * DistUpgrade: include universe and multiverse in default components
    (LP: #2055720)
  * DistUpgrade: remove whitespace in DistUpgraceController.py
  * Run pre-build.sh: updating po files, mirrors, and demotions.

 -- Nick Rosbrook <enr0n@ubuntu.com>  Thu, 07 Mar 2024 15:57:06 -0500

ubuntu-release-upgrader (1:24.04.7) noble; urgency=medium

  * Fix some more test data for ports

 -- Julian Andres Klode <juliank@ubuntu.com>  Tue, 13 Feb 2024 17:11:03 +0100

ubuntu-release-upgrader (1:24.04.6) noble; urgency=medium

  * Fix test-case for deb822 on ports

 -- Julian Andres Klode <juliank@ubuntu.com>  Tue, 13 Feb 2024 10:04:44 +0100

ubuntu-release-upgrader (1:24.04.5) noble; urgency=medium

  * Bump the Build-Depends on python-apt to 2.7.5
  * Various fixes for the test suite (LP: #2051590)
    - tests: Update expected results for formatting changes in 2.7.5
    - DistUpgradeQuirks: Fix unused local variable 'e'
    - Adjust test for deb822 source merging in python-apt 2.7.5
    - Use isinstance() to check object types rather than type(...) == ..

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 12 Feb 2024 21:02:33 +0100

ubuntu-release-upgrader (1:24.04.4) noble; urgency=medium

  * DistUpgrade: re-enable migration to deb822 on upgrade
  * DistUpgrade: configure apt to install phased updates during upgrade (LP: #2045784)
  * Run pre-build.sh: updating po files, mirrors, and demotions.

 -- Nick Rosbrook <enr0n@ubuntu.com>  Fri, 05 Jan 2024 15:38:49 -0500

ubuntu-release-upgrader (1:24.04.3) noble; urgency=medium

  * DistUpgradeQuirk: do not use XFS /boot quirk for arm64 UEFI
  * Run pre-build.sh: updating po files, mirrors, and demotions.

 -- Nick Rosbrook <enr0n@ubuntu.com>  Sun, 05 Nov 2023 01:47:58 -0400

ubuntu-release-upgrader (1:24.04.2) noble; urgency=medium

  * DistUpgradeQuirks: prevent upgrades on some systems with XFS /boot
    (LP: #2039172)
  * DistUpgradeQuirks: fix whitespace
  * DistUpgrade: indicate that noble is LTS in release annoucement
  * Run pre-build.sh: updating po files, mirrors, and demotions.

 -- Nick Rosbrook <enr0n@ubuntu.com>  Sat, 04 Nov 2023 15:30:36 -0400

ubuntu-release-upgrader (1:24.04.1) noble; urgency=medium

  * do-release-upgrade: pass XDG_CURRENT_DESKTOP env var (LP: #2034986)
  * Update for noble
  * Run pre-build.sh: updating po files, mirrors, and demotions.

 -- Nick Rosbrook <enr0n@ubuntu.com>  Thu, 26 Oct 2023 15:23:52 -0400

ubuntu-release-upgrader (1:23.10.12) mantic; urgency=medium

  [ Gunnar Hjalmarsson ]
  * Adjustments of unreadable text workaround (LP: #2039356)

  [ Nick Rosbrook ]
  * Temporarily revert "do-release-upgrade: pass XDG_CURRENT_DESKTOP env var"
    to unblock other fixes.
  * Run pre-build.sh: updating po files, mirrors, and demotions.

 -- Nick Rosbrook <enr0n@ubuntu.com>  Mon, 16 Oct 2023 16:49:53 -0400

ubuntu-release-upgrader (1:23.10.11) mantic; urgency=medium

  * do-release-upgrade: pass XDG_CURRENT_DESKTOP env var (LP: #2034986)
  * tests: use di.stable() instead of di.devel()
  * Run pre-build.sh: updating po files, mirrors, and demotions.

 -- Nick Rosbrook <enr0n@ubuntu.com>  Thu, 12 Oct 2023 10:46:33 -0400

ubuntu-release-upgrader (1:23.10.10) mantic; urgency=medium

  * Fix failing autopkgtest due to PEP8 line to long issue.
  * Run pre-build.sh: updating po files, mirrors, and demotions.

 -- Brian Murray <brian@ubuntu.com>  Wed, 11 Oct 2023 04:48:13 -0700

ubuntu-release-upgrader (1:23.10.9) mantic; urgency=medium

  [ Tim Andersson ]
  * fix: stop TypeError traceback in DistUpgradeQuirks:_set_generic_font
    (LP: #2038900)

  [ Brian Murray ]
  * Run pre-build.sh: updating po files, mirrors, and demotions.

  [ Gunnar Hjalmarsson ]
  * Temporary font for Ubuntu MATE (LP: #2034986)

 -- Nick Rosbrook <enr0n@ubuntu.com>  Tue, 10 Oct 2023 11:48:56 -0400

ubuntu-release-upgrader (1:23.10.8) mantic; urgency=medium

  * deb2snap.json: bump core20 to core22.
  * deb2snap.json: add firmware-updater as a seeded snap.
  * tests/test_quirks.py: update tests to reflect the core22 bump.
  * Run pre-build.sh: updating po files, mirrors, and demotions.

 -- Utkarsh Gupta <utkarsh@ubuntu.com>  Wed, 04 Oct 2023 16:56:15 +0530

ubuntu-release-upgrader (1:23.10.7) mantic; urgency=medium

  * DistUpgradeQuirks: Use generic font temporarily at upgrade
    (LP: #2034986)
  * DistUpgradeQuirks: Switch snap channels instead of refresh
    (LP: #2036765)
  * DistUpgradeController: Ensure security archive is used for security pocket
    (LP: #2036679)
  * Run pre-build.sh: updating mirrors and demotions.

 -- Nick Rosbrook <enr0n@ubuntu.com>  Fri, 29 Sep 2023 14:44:34 -0400

ubuntu-release-upgrader (1:23.10.6) mantic; urgency=medium

  * DistUpgrade: do not migrate to deb822 by default (LP: #2036288)
  * Run pre-build.sh: updating mirrors, demotions, and translations.

 -- Nick Rosbrook <enr0n@ubuntu.com>  Fri, 15 Sep 2023 16:07:26 -0400

ubuntu-release-upgrader (1:23.10.5) mantic; urgency=medium

  * Do not embed keyring in ubuntu.sources (LP: #2029142):
    - DistUpgradeController: do not embed keyring in ubuntu.sources
    - test: do not expect embedded keyring in ubuntu.sources
  * test: fix deb822 tests on port arches
  * Run pre-build.sh: updating mirrors, demotions, and translations.

 -- Nick Rosbrook <nick.rosbrook@canonical.com>  Wed, 02 Aug 2023 11:27:57 -0400

ubuntu-release-upgrader (1:23.10.4) mantic; urgency=medium

  * DistUpgradeController: migrate to deb822 sources on upgrade
  * test: add TestDeb822SourcesUpdate to test deb822 source rewrite
  * test: add unit test for migration to deb822 sources
  * Run pre-build.sh: updating mirrors, demotions, and translations.

 -- Nick Rosbrook <nick.rosbrook@canonical.com>  Fri, 28 Jul 2023 14:07:26 -0400

ubuntu-release-upgrader (1:23.10.3) mantic; urgency=medium

  * DistUpgradeViewKDE.py: Fix a crash when writing text on a key press event.
    Thanks Launchpad user Matteo Italia for the fix. (LP: #2020414)
  * Run pre-build.sh: updating mirrors, demotions, and translations.

 -- Brian Murray <brian@ubuntu.com>  Fri, 09 Jun 2023 14:26:34 -0700

ubuntu-release-upgrader (1:23.10.2) mantic; urgency=medium

  * Switch from webkit2gtk 4.0 to 4.1 (uses libsoup3)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 08 Jun 2023 08:36:10 -0400

ubuntu-release-upgrader (1:23.10.1) mantic; urgency=medium

  * Update for mantic
  * Run pre-build.sh: updating mirrors, demotions, and translations.

 -- Nick Rosbrook <nick.rosbrook@canonical.com>  Tue, 02 May 2023 08:01:01 -0400

ubuntu-release-upgrader (1:23.04.6) lunar; urgency=medium

  * DistUpgradeQuirks: Stop ignoring crashes from tracker-extract-3 during
    upgrade as the underlying crash was fixed.

 -- Brian Murray <brian@ubuntu.com>  Tue, 18 Apr 2023 06:52:49 -0700

ubuntu-release-upgrader (1:23.04.5) lunar; urgency=medium

  * Update the autopkgtests for the deb2snap changes.

 -- Brian Murray <brian@ubuntu.com>  Wed, 12 Apr 2023 19:17:15 -0700

ubuntu-release-upgrader (1:23.04.4) lunar; urgency=medium

  [ Brian Murray ]
  * DistUpgrade/deb2snap.json: Add in the snap gnome-42-2204 which is now
    seeded for Ubuntu Desktop, move gnome-3-38-2004 to unseeded which will
    make it a candidate for removal if it is unused.

  [ Nick Rosbrook ]
  * DistUpgrade: Make apport ignore tracker-extract-3 during upgrade (LP: #2012638)
  * Run pre-build.sh: updating mirrors, demotions, and translations.

 -- Nick Rosbrook <nick.rosbrook@canonical.com>  Wed, 12 Apr 2023 14:36:20 -0400

ubuntu-release-upgrader (1:23.04.3) lunar; urgency=medium

  * DistUpgrade: Dynamically get new version string for UI labels (LP: #2015087)
  * Run pre-build.sh: updating mirrors, demotions, and translations.

 -- Nick Rosbrook <nick.rosbrook@canonical.com>  Mon, 03 Apr 2023 12:39:16 -0400

ubuntu-release-upgrader (1:23.04.2) lunar; urgency=medium

  [ Nick Rosbrook ]
  * DistUpgradeQuirks: Add quirk to prevent flatpak auto-removal if needed
  * setup.py: Make version string PEP-440 compliant
  * Run pre-build.sh: updating mirrors, demotions, and translations.

  [ Rudra Saraswat ]
  * Add unity-desktop to DistUpgrade.cfg (LP: #2003014)

 -- Nick Rosbrook <nick.rosbrook@canonical.com>  Wed, 22 Feb 2023 16:56:29 -0500

ubuntu-release-upgrader (1:23.04.1) lunar; urgency=medium

  * Update for 22.10 -> 23.04.
  * Update for 22.04 -> 23.04.
  * Run pre-build.sh: updating mirrors, demotions, and translations.

 -- Brian Murray <brian@ubuntu.com>  Mon, 07 Nov 2022 06:14:23 -0800

ubuntu-release-upgrader (1:22.10.8) kinetic; urgency=medium

  * DistUpgrade: Cast to int when calling QProgressBar.setValue() (LP: #1991096)
  * DistUpgrade: Just pass filename to apport report (LP: #1985964)
  * DistUpgrade: Remove firefox from deb2snap.json (LP: #1964036)
  * Run pre-build.sh: updating mirrors, demotions, and translations.

 -- Nick Rosbrook <nick.rosbrook@canonical.com>  Thu, 29 Sep 2022 15:13:49 -0400

ubuntu-release-upgrader (1:22.10.7) kinetic; urgency=medium

  * DistUpgrade/DistUpgradeController.py: In one of the final calls of
    need_server_mode() do not allow switching from a desktop mode upgrade to a
    server mode upgrade. (LP: #1969786)
  * data/release-upgrades: set Prompt to normal
  * Run pre-build.sh: updating mirrors, demotions, and translations.

 -- Brian Murray <brian@ubuntu.com>  Mon, 22 Aug 2022 12:56:34 -0700

ubuntu-release-upgrader (1:22.10.6) kinetic; urgency=medium

  * utils/demotions.py: check old-releases.u.c so that we can generate
    demotions for releases which have reached their End of Life.
  * data/DistUpgrade.cfg: remove mythbuntu and kubuntu-netbook metapackages.
  * DistUpgrade/deb2snap.json: gnome-3-34-1804 is no longer a seeded snap and
    should not be refreshed. (LP: #1981485)
  * Run pre-build.sh: updating mirrors, demotions, and translations.

 -- Brian Murray <brian@ubuntu.com>  Fri, 15 Jul 2022 14:34:14 -0700

ubuntu-release-upgrader (1:22.10.5) kinetic; urgency=medium

  [ Edu Gómez Escandell ]
   * DistUpgrade: No longer attempt to reboot in WSL (LP: #1958668).

  [ Brian Murray ]
  * Run pre-build.sh: updating mirrors, demotions, and translations.

 -- Brian Murray <brian@ubuntu.com>  Wed, 06 Jul 2022 13:07:45 -0700

ubuntu-release-upgrader (1:22.10.4) kinetic; urgency=medium

  * DistUpgrade: Add deb2snap entry for snapd-desktop-integration (LP: #1975747).
  * Run pre-build.sh: updating mirrors, demotions, and translations.

 -- Brian Murray <brian@ubuntu.com>  Thu, 26 May 2022 12:49:15 -0700

ubuntu-release-upgrader (1:22.10.3) kinetic; urgency=medium

  * DistUpgrade: Do not show lock screen error if XDG_SESSION_TYPE is
    tty (LP: #1973785).

 -- Nick Rosbrook <nick.rosbrook@canonical.com>  Wed, 18 May 2022 09:38:56 -0700

ubuntu-release-upgrader (1:22.10.2) kinetic; urgency=medium

  * DistUpgrade: Gracefully handle missing dbus module (LP: #1965568).
  * Run pre-build.sh: updating mirrors, demotions, and translations.

 -- Nick Rosbrook <nick.rosbrook@canonical.com>  Mon, 09 May 2022 12:16:49 -0400

ubuntu-release-upgrader (1:22.10.1) kinetic; urgency=medium

  * data: Update do-release-upgrade man page.
  * Update for 22.04 -> 22.10.
  * Run pre-build.sh: updating mirrors, demotions, and translations.

 -- Nick Rosbrook <nick.rosbrook@canonical.com>  Thu, 28 Apr 2022 13:56:43 -0700

ubuntu-release-upgrader (1:22.04.10) jammy; urgency=medium

  * DistUpgrade: Set NEEDRESTART_SUSPEND during upgrades (LP: #1968919).
  * do-release-upgrade: Fix a typo in the --help output.
  * Run pre-build.sh: updating mirrors, demotions, and translations.

 -- Nick Rosbrook <nick.rosbrook@canonical.com>  Mon, 18 Apr 2022 13:47:54 -0400

ubuntu-release-upgrader (1:22.04.9) jammy; urgency=medium

  [ Nick Rosbrook ]
  * do-release-upgrade: Preserve env vars needed for screen lock prevention (LP: #1968607).
  * DistUpgrade/DistUpgradeController.py: Do not make UI dialog calls while
    EUID != 0.

  [ Brian Murray ]
  * Run pre-build.sh: updating mirrors, demotions, and translations.

 -- Brian Murray <brian@ubuntu.com>  Wed, 13 Apr 2022 14:30:37 -0700

ubuntu-release-upgrader (1:22.04.8) jammy; urgency=medium

  [ Brian Murray ]
  * Update the firefox deb2snap entry so that it includes Ubuntu Studio.
  * Modify the ubuntu-release-upgrader apport package hook to also gather
    recent messages in journalctl and a list of crashes in /var/crash as one
    of those may have negatively affected the upgrade process.

  [ Christian Ehrhardt ]
  * d/91-release-upgrade: try to use the less expensive /etc/lsb-release
    to check if we are in a devel release (LP: #1893716)

 -- Brian Murray <brian@ubuntu.com>  Thu, 31 Mar 2022 14:23:13 -0700

ubuntu-release-upgrader (1:22.04.7) jammy; urgency=medium

  [ Brian Murray ]
  * Inclusive naming updates.

  [ Nick Rosbrook ]
  * Replace core18 with core20 in DistUpgrade/deb2snap.json.
  * Add firefox deb2snap entries for appropriate flavors. This includes
    Kubuntu, where an issue was already reported (LP: #1964443).

 -- Brian Murray <brian@ubuntu.com>  Mon, 14 Mar 2022 10:47:02 -0700

ubuntu-release-upgrader (1:22.04.6) jammy; urgency=medium

  * Prevent upgrades to jammy on POWER8 (LP: #19602550).

 -- Nick Rosbrook <nick.rosbrook@canonical.com>  Wed, 23 Feb 2022 12:37:39 -0800

ubuntu-release-upgrader (1:22.04.5) jammy; urgency=medium

  [ Brian Murray ]
  * debian/control: rename the main branch
  * Increase the fallback KERNEL_INITRD_SIZE so that there is room for
    commonly used modules in the initramfs subsequently some upgrades may be
    disallowed due to a lack of free space in /boot.
  * Run pre-build.sh: updating mirrors, demotions, and translations.

  [ Nick Rosbrook ]
  * Update download rates in estimated download message (LP: #1947581)
  * Use org.freedesktop.ScreenSaver to inhibit screen lock (LP: #1959458).
    This approach also works in Kubuntu.

 -- Brian Murray <brian@ubuntu.com>  Mon, 14 Feb 2022 11:01:58 -0800

ubuntu-release-upgrader (1:22.04.4) jammy; urgency=medium

  [ Steve Langasek ]
  * DistUpgrade/DistUpgradeController.py: remove references to
    archive.canonical.com from sources.list on upgrade.  LP: #1959343.

  [ Brian Murray ]
  * tests/test_sources_list.py: update the tests which expected / utilized the
    archive.canonical.com partner repository.

 -- Brian Murray <brian@ubuntu.com>  Fri, 28 Jan 2022 11:39:24 -0800

ubuntu-release-upgrader (1:22.04.3) jammy; urgency=medium

  * DistUpgrade/DistUpgradeController.py: switch from using os.readlink to
    os.path.realpath when checking for the default python version. Thanks to
    Nico Schlömer. (LP: #1953135)
  * data/release-upgrades: set Prompt to lts as jammy is an LTS release.
    (LP: #1955843)

 -- Brian Murray <brian@ubuntu.com>  Wed, 05 Jan 2022 14:27:07 -0800

ubuntu-release-upgrader (1:22.04.2) jammy; urgency=medium

  [ Didier Roche ]
  * DistUpgrade/DistUpgradeQuirks.py: Only try to connect to snapd if there is
    a socket for system activation or if snapd was already running. This
    resolves failures to upgrade under WSL. (LP: #1926267)

 -- Brian Murray <brian@ubuntu.com>  Fri, 29 Oct 2021 09:59:29 -0700

ubuntu-release-upgrader (1:22.04.1) jammy; urgency=medium

  * Update for 21.10 -> 22.04.
  * debian/control: have python3-distupgrade depend on procps which provides
    pgrep. (LP: #1947333)

 -- Brian Murray <brian@ubuntu.com>  Mon, 18 Oct 2021 15:57:35 -0700

ubuntu-release-upgrader (1:21.10.8) impish; urgency=medium

  [ Olivier Tilloy ]
  * DistUpgrade/deb2snap.json: seed the snaps for firefox (which replaces the
    deb package) and gnome-3-38-2004. (LP: #1943840)

  [ Brian Murray ]
  * DistUpgrade/DistUpgradeFetcherCore.py: when running in non-interactive
    mode do not show the release notes. (LP: #1944475)
  * Run pre-build.sh: updating mirrors, demotions, and translations.

 -- Brian Murray <brian@ubuntu.com>  Wed, 22 Sep 2021 11:22:12 -0700

ubuntu-release-upgrader (1:21.10.7) impish; urgency=medium

  [ Dave Jones ]
  * DistUpgrade/DistUpgradeQuirks.py: Add quirk to merge raspi boot config
    into one file, and remove u-boot references (LP: #1936401)

  [ Brian Murray ]
  * Run pre-build.sh: updating mirrors, demotions, and translations.

 -- Brian Murray <brian@ubuntu.com>  Tue, 24 Aug 2021 11:17:22 -0700

ubuntu-release-upgrader (1:21.10.6) impish; urgency=medium

  * DistUpgrade/ReleaseAnnouncement, DistUpgrade/EOLReleaseAnnouncement:
    Update the irc channel server reference to Libera.Chat (LP: #1937852)
  * Run pre-build.sh: updating mirrors, demotions, and translations.

 -- Brian Murray <brian@ubuntu.com>  Fri, 23 Jul 2021 10:14:23 -0700

ubuntu-release-upgrader (1:21.10.5) impish; urgency=medium

  * check-new-release-gtk: use gi.require_version('Gtk', '3.0') to ensure we
    load the right version. (LP: #1936698)
  * Run pre-build.sh: updating mirrors, demotions, and translations.

 -- Brian Murray <brian@ubuntu.com>  Fri, 16 Jul 2021 16:01:02 -0700

ubuntu-release-upgrader (1:21.10.4) impish; urgency=medium

  * DistUpgrade/DistUpgradeQuirks.py: log a message when we encounter an
    unhandled error checking for snap store connectivity. (LP: #1930901)
  * tests/test_sources_list.py: use distro_info to set releases when
    performing some upgrade tests.
  * DistUpgrade/DistUpgradeQuirks.py: disable the python is python2 quirk.
  * DistUpgrade/DistUpgradeCache.py: switch to use finally in distUpgrade so
    that error messages in some quirks will be able to work.

 -- Brian Murray <brian@ubuntu.com>  Wed, 30 Jun 2021 16:24:08 -0700

ubuntu-release-upgrader (1:21.10.3) impish; urgency=medium

  * DistUpgradeQuirks.py: add in a method for reading the system vendor out of
    DMI information which then can be used to block upgrades. (LP: #1929449)
  * tests/test_sources_list.py: switch from precise to focal as precise was
    removed from the archive.

 -- Brian Murray <brian@ubuntu.com>  Wed, 26 May 2021 13:25:36 -0700

ubuntu-release-upgrader (1:21.10.2) impish; urgency=medium

  * DistUpgradeFetcherCore.py: when upgrading with the text view display the
    release announcement in the terminal. (LP: #1925529)
  * tests/test_dist_upgrade_fetcher_core.py: do not display the release
    announcement during the test.
  * Run pre-build.sh: updating mirrors, demotions, and translations.

 -- Brian Murray <brian@ubuntu.com>  Fri, 21 May 2021 15:43:16 -0700

ubuntu-release-upgrader (1:21.10.1) impish; urgency=medium

  * Update for 21.04 -> 21.10.

 -- Brian Murray <brian@ubuntu.com>  Wed, 28 Apr 2021 11:01:58 -0700

ubuntu-release-upgrader (1:21.04.11) hirsute; urgency=medium

  * DistUpgrade/DevelReleaseAnnouncement: Add a statement recommending that
    people do not upgrade to hirsute at this point in time.
  * Run pre-build.sh: updating mirrors, demotions, and translations.

 -- Brian Murray <brian@ubuntu.com>  Wed, 21 Apr 2021 16:00:16 -0700

ubuntu-release-upgrader (1:21.04.10) hirsute; urgency=medium

  * DistUpgrade/DistUpgradeQuirks.py: look for the proper package name in the
    cache. (LP: #1924793)
  * Run pre-build.sh: updating mirrors, demotions, and translations.

 -- Brian Murray <brian@ubuntu.com>  Fri, 16 Apr 2021 11:55:36 -0700

ubuntu-release-upgrader (1:21.04.9) hirsute; urgency=medium

  [ Dave Jones ]
  * DistUpgrade/DistUpgradeQuirks.py: Add quirk to rewrite references to fkms
    overlay in Raspberry Pi boot configuration to kms overlay (and disable the
    related camera firmware lines). (LP: #1923673)

  [ Brian Murray ]
  * Run pre-build.sh: updating mirrors, demotions, and translations.

 -- Brian Murray <brian@ubuntu.com>  Thu, 15 Apr 2021 09:29:00 -0700

ubuntu-release-upgrader (1:21.04.8) hirsute; urgency=medium

  * DistUpgrade/DistUpgradeQuirks.py: Modify the deb-to-snap quirk to also
    upgrade preseeded snaps to latest/stable/ubuntu-$version for their new
    release. (LP: #1922297)
  * tests/test_quirks.py: update the snap tests for the above changes.
  * Run pre-build.sh.

 -- Brian Murray <brian@ubuntu.com>  Mon, 12 Apr 2021 15:33:41 -0700

ubuntu-release-upgrader (1:21.04.7) hirsute; urgency=medium

  * DistUpgrade/DistUpgradeController.py: Only rewrite archive.u.c and
    security.u.c to ports.
  * test/test_sources_list.py: update the tests for the changes regarding
    rewriting uris for ports.u.c.
  * Run pre-build.sh.

 -- Brian Murray <brian@ubuntu.com>  Thu, 08 Apr 2021 13:02:02 -0700

ubuntu-release-upgrader (1:21.04.6) hirsute; urgency=medium

  * DistUpgrade/DistUpgradeController.py: If there is a sources.list entry for
    an arch which is on ports.ubuntu.com rewrite the uri so that ports is
    used. (LP: #1917220)
  * DistUpgrade/DistUpgradeQuirks.py:  use apt's problem resolver to better
    calculate upgrades where python is replaced by python-is-python2 thereby
    resolving a host of upgrade failures. Thanks to Julian for the initial
    patch. (LP: #1898152)

 -- Brian Murray <brian@ubuntu.com>  Wed, 31 Mar 2021 09:25:55 -0700

ubuntu-release-upgrader (1:21.04.5) hirsute; urgency=medium

  [ William 'jawn-smith' Wilson ]
  * Add quirk to block upgrade if docker containers are configured to use the
    aufs storage-driver (LP: #1907713)

  [ Brian Murray ]
  * DistUpgrade/DistUpgradeController.py: where possible restore sources.list
    if a KeyboardInterrupt event is received. (LP: #1898026)
  * DistUpgrade/DistUpgradeController.py: redirect the output of
    gnome-session-inhibit to devnull so a message regarding Ctrl-C is not
    displayed.

 -- Brian Murray <brian@ubuntu.com>  Fri, 26 Feb 2021 11:27:39 -0800

ubuntu-release-upgrader (1:21.04.4) hirsute; urgency=medium

  * Run old tests on amd64 so ports that did not exist back then work

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 11 Jan 2021 11:53:47 +0100

ubuntu-release-upgrader (1:21.04.3) hirsute; urgency=medium

  * Adapt to Ubuntu archive URL change to due to template unification in
    python-apt (>= 2.1.5); update build-depends accordingly.

 -- Julian Andres Klode <juliank@ubuntu.com>  Thu, 17 Dec 2020 10:10:14 +0100

ubuntu-release-upgrader (1:21.04.2) hirsute; urgency=medium

  * DistUpgrade/DistUpgradeQuirks.py: ensure there are matches for both regexs
    before trying to use them.
  * DistUpgrade/dist-upgrade.py: When running the release upgrade do not add
    user site directory to sys.path thereby preventing user python packages
    from interfering with the upgrade process. (LP: #1848829)
  * Remove code relevant to peforming a distribution upgrade with a "cdrom" of
    the release to which you are upgrading as it has been hidden and broken
    for quite some time.

 -- Brian Murray <brian@ubuntu.com>  Mon, 09 Nov 2020 11:20:25 -0800

ubuntu-release-upgrader (1:21.04.1) hirsute; urgency=medium

  * DistUpgrade/DistUpgradeQuirks.py: Replace python-dev with
    python-dev-is-python2 rather than with nothing as that is a better upgrade
    path. (LP: #1887544)
  * Update for 20.10 -> 21.04.

 -- Brian Murray <brian@ubuntu.com>  Wed, 28 Oct 2020 10:39:56 -0700

ubuntu-release-upgrader (1:20.10.12) groovy; urgency=medium

  [ Chad Smith ]
  * data/mirrors.cfg: add ubuntu advantage pro PPA url as valid mirror
    (LP: #1893717)
  * DistUpgrade/DistUpgradeController.py: release cache lock during
    runPostInstallScripts (LP: #1897778)

  [ Brian Murray ]
  * DistUpgrade/DistUpgradeQuirks.py: In addition to quirking python-minimal
    we also need to quirk python-dbg. (LP: #1887544)
  * Update demotions and mirrors data.

 -- Chad Smith <chad.smith@canonical.com>  Tue, 22 Sep 2020 16:59:52 -0600

ubuntu-release-upgrader (1:20.10.11) groovy; urgency=medium

  [ Brian Murray ]
  * data/release-upgrades: set Prompt to normal as groovy is not an LTS
    release.

  [ Chad Smith ]
  * data/mirrors.cfg: add all ubuntu-advantage services as valid mirrors.
    This includes: fips, fips-updates, esm-infra, esm-apps and cc-eal.
    (LP: #1893717)

 -- Brian Murray <brian@ubuntu.com>  Tue, 01 Sep 2020 15:26:56 -0700

ubuntu-release-upgrader (1:20.10.10) groovy; urgency=medium

  * DistUpgrade/DistUpgradeController.py: do what the comment says and really
    back up /etc/apt/sources.list first. (LP: #1888916)
  * DistUpgrade/screenrc: add 'onerror' to the zombie command so that if the
    process exits normally the screen window will disappear.

 -- Brian Murray <brian@ubuntu.com>  Tue, 25 Aug 2020 14:17:55 -0700

ubuntu-release-upgrader (1:20.10.9) groovy; urgency=medium

  * DistUpgrade/DistUpgradeQuirks.py: Add a check for ROS packages being
    installed and warn that upgrades with them installed are not likely to
    work. Thanks to Kyle Fazzari for the patch. (LP: #1611737)

 -- Brian Murray <brian@ubuntu.com>  Fri, 14 Aug 2020 10:26:04 -0700

ubuntu-release-upgrader (1:20.10.8) groovy; urgency=medium

  * DistUpgrade/DistUpgradeCache.py: Ensure that the linux metapackage is
    never removed during a distribution upgrade. (LP: #1889449)

 -- Brian Murray <brian@ubuntu.com>  Fri, 31 Jul 2020 11:20:23 -0700

ubuntu-release-upgrader (1:20.10.7) groovy; urgency=medium

  * Resolve pycodestyle E741 issues.

 -- Brian Murray <brian@ubuntu.com>  Thu, 23 Jul 2020 09:10:00 -0700

ubuntu-release-upgrader (1:20.10.6) groovy; urgency=medium

  * data/DistUpgrade.cfg: remove xscreensaver from the PostUpgradeRemove rule
    for ubuntu-desktop as it is no longer necessary. (LP: #1875107)

 -- Brian Murray <brian@ubuntu.com>  Mon, 20 Jul 2020 17:11:29 -0700

ubuntu-release-upgrader (1:20.10.5) groovy; urgency=medium

  * DistUpgrade/DistUpgradeController.py: set a default value for devRelease
    all the time. (LP: #1882069)
  * DistUpgrade/DistUpgradeQuirks.py: Update the quirk for handling the
    transition from python-minimal to python2-minimal so that it runs during a
    prepare stage and an install stage. Thanks to Lukas Märdian for the fix.
    (LP: #1875523)

 -- Brian Murray <brian@ubuntu.com>  Fri, 17 Jul 2020 11:49:10 -0700

ubuntu-release-upgrader (1:20.10.4) groovy; urgency=medium

  * debian/91-release-upgrade: make it work in dash.

 -- Brian Murray <brian@ubuntu.com>  Thu, 02 Jul 2020 12:29:07 -0700

ubuntu-release-upgrader (1:20.10.3) groovy; urgency=medium

  [ Dimitri John Ledkov ]
  * Use ubuntu-archive-keyring to verify upgrades, irrespective of how
    apt-key is configured.

  [ Brian Murray ]
  * utils/demotions.py: also use the ubuntu-archive-keyring when determining
    packages that were demoted.

 -- Brian Murray <brian@ubuntu.com>  Tue, 30 Jun 2020 09:15:09 -0700

ubuntu-release-upgrader (1:20.10.2) groovy; urgency=medium

  * debian/91-release-upgrade: exit 0 if run as a non-root user.
    (LP: #1873545)
  * Only pass the package name to apport in the event that there is a dpkg
    error during a distribution upgrade. (LP: #1884148)

 -- Brian Murray <brian@ubuntu.com>  Wed, 24 Jun 2020 11:34:11 -0700

ubuntu-release-upgrader (1:20.10.1) groovy; urgency=medium

  [ Dimitri John Ledkov ]
  * DistUpgradeCache: Ignore BaseMetaPkgs' & obsolete tasks during server upgrade
    (LP: #1872902)

  [ Brian Murray ]
  * Update for 20.04 -> 20.10.

 -- Brian Murray <brian@ubuntu.com>  Tue, 05 May 2020 14:37:21 -0700

ubuntu-release-upgrader (1:20.04.18) focal; urgency=medium

  [ Steve Langasek ]
  * Use libgtk3-perl, not libgtk2-perl, to decide whether to use the gnome
    debconf frontend; debconf migrated to GTK+3 in version 1.5.66, before
    bionic was released.  LP: #1871530.

  [ Brian Murray ]
  * data/mirrors.cfg, utils/update_mirrors.py: Add in ddebs.ubuntu.com as an
    official package source.

 -- Brian Murray <brian@ubuntu.com>  Wed, 08 Apr 2020 08:59:23 -0700

ubuntu-release-upgrader (1:20.04.17) focal; urgency=medium

  * DistUpgrade/DistUpgradeFetcher.py,
    DistUpgrade/ReleaseNotesViewerWebkit.py: use gi.require_version so that
    the right version gets loaded and warning messages are not displayed.
    (LP: #1848629)

 -- Brian Murray <brian@ubuntu.com>  Fri, 03 Apr 2020 07:33:01 -0700

ubuntu-release-upgrader (1:20.04.16) focal; urgency=medium

  [ Dimitri John Ledkov ]
  * DistUpgrade/DistUpgradeQuirks.py: Install python-is-python2 if
    python-minimal is installed. This preserves /usr/bin/python on
    upgrades.

 -- Brian Murray <brian@ubuntu.com>  Fri, 27 Mar 2020 15:26:21 -0700

ubuntu-release-upgrader (1:20.04.15) focal; urgency=medium

  * DistUpgrade/DistUpgradeCache.py: Update kernel and initrd size calculation
    fallbacks to more closely match reality in focal.

 -- Brian Murray <brian@ubuntu.com>  Fri, 20 Mar 2020 12:39:39 -0700

ubuntu-release-upgrader (1:20.04.14) focal; urgency=medium

  * data/removal_blacklist.cfg: do not allow openssh-server to be removed as
    the upgrade may done over ssh. (LP: #1865309)

 -- Brian Murray <brian@ubuntu.com>  Thu, 12 Mar 2020 10:39:55 -0700

ubuntu-release-upgrader (1:20.04.13) focal; urgency=medium

  [ Marcus Tomlinson ]
  * Add deb2snap.json file for specifying seeded and unseeded snaps.
    - Unseed gnome-calculator, gnome-characters, and gnome-logs.
    - Seed snap-store.

  [ Iain Lane ]
  * Run pre-build.sh to update the built-in data.

 -- Marcus Tomlinson <marcus.tomlinson@canonical.com>  Thu, 27 Feb 2020 18:02:12 +0000

ubuntu-release-upgrader (1:20.04.12) focal; urgency=medium

  * data/release-upgrades: set Prompt to lts as focal is an LTS release.
  * DistUpgrade/DistUpgradeQuirks.py: Do not allow the upgrade to proceed if
    the non-transitional lxd deb is installed and we can not acces the Snap
    Store. (LP: #1834501)

 -- Brian Murray <brian@ubuntu.com>  Mon, 17 Feb 2020 14:11:05 -0800

ubuntu-release-upgrader (1:20.04.11) focal; urgency=medium

  * Fixup the exception building to use package names instead of package
    objects.

 -- Julian Andres Klode <juliank@ubuntu.com>  Tue, 04 Feb 2020 18:44:25 +0100

ubuntu-release-upgrader (1:20.04.10) focal; urgency=medium

  * Do not attempt to upgrade if the cache has broken packages after having
    calculated the upgrade (LP: #1861756)

 -- Julian Andres Klode <juliank@ubuntu.com>  Tue, 04 Feb 2020 18:12:42 +0100

ubuntu-release-upgrader (1:20.04.9) focal; urgency=medium

  * tests: Handle the rename of the pep8 tool to pycodestyle.

 -- dann frazier <dannf@ubuntu.com>  Wed, 29 Jan 2020 07:42:33 -0700

ubuntu-release-upgrader (1:20.04.8) focal; urgency=medium

  [ Jean-Baptiste Lallement ]
  * Do not install a snap package if the corresponding debian package is not
    installed (LP: #1856996)
  * Fixed crash when checking a section of a package when the package is a
    snap (LP: #1856862)
  * Update release to 20.04 in UI (LP: #1856948)

  [ Brian Murray ]
  * Translations, demotions and mirror updates.

 -- Brian Murray <brian@ubuntu.com>  Fri, 20 Dec 2019 13:14:26 -0800

ubuntu-release-upgrader (1:20.04.7) focal; urgency=medium

  * debian/release-upgrade-motd: Fix typo preventing the update of the cached info.
    This fixes the regression introduced when fixing LP: #1855271.
  * debian/gbp.conf: Really run ./pre-build.sh before build

 -- Balint Reczey <rbalint@ubuntu.com>  Fri, 06 Dec 2019 21:45:46 +0100

ubuntu-release-upgrader (1:20.04.6) focal; urgency=medium

  * debian/control: Update Vcs-*: URLs
  * Rename .bzrignore to .gitignore
  * debian/gbp.conf: Add default configuration
  * debian/gbp.conf: Move prebuild command here from .bzr-builddeb/default.conf
  * Build source on Focal (LP: #1855437)

 -- Balint Reczey <rbalint@ubuntu.com>  Fri, 06 Dec 2019 12:55:52 +0100

ubuntu-release-upgrader (1:20.04.5) focal; urgency=medium

  * debian/release-upgrade-motd: Don't try to update cached info
    as a regular user. That would fail.
    (LP: #1855271)

 -- Balint Reczey <rbalint@ubuntu.com>  Thu, 05 Dec 2019 17:32:08 +0100

ubuntu-release-upgrader (1:20.04.4) focal; urgency=medium

  [ Brian Murray ]
  * data/DistUpgrade.cfg, data/DistUpgrade.cfg.bionic: update for the upgrade
    from 19.10 to 20.04 harder.

  [ Łukasz 'sil2100' Zemczak ]
  * do-release-upgrade: add linux-base to the check for required reboot after
    a kernel upgrade (LP: #1844805).

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Wed, 06 Nov 2019 18:24:10 +0100

ubuntu-release-upgrader (1:20.04.2) focal; urgency=medium

  * Fix binary and binary-indep targets to work as intended (LP: #1850851)

 -- Adam Conrad <adconrad@ubuntu.com>  Thu, 31 Oct 2019 13:38:35 -0600

ubuntu-release-upgrader (1:20.04.1) focal; urgency=medium

  [ Brian Murray ]
  * DistUpgrade/{EOL,Devel}ReleaseAnnouncement,
    DistUpgrade/window_main.ui,
    data/gtkbuilder/DistUpgrade.ui,
    data/DistUpgrade.cfg,
    data/DistUpgrade.cfg.bionic,
    pre-build.sh:
    - updated for 19.10 -> 20.04

  [ Łukasz 'sil2100' Zemczak ]
  * do-release-upgrade: also check for linux-image- in reboot-required.pkgs,
    refusing upgrading before a reboot is performed. (LP: #1844805)

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Mon, 28 Oct 2019 18:35:36 +0100

ubuntu-release-upgrader (1:19.10.15) eoan; urgency=medium

  * Don't check for validity of /usr/bin/python symlink because this is no
    longer relevant to the upgrades (and the printed error message was
    inaccurate).  LP: #1825655.
  * Clean up remaining references to /usr/bin/python (tests and utilities)
    in the source.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 11 Oct 2019 16:54:15 -0700

ubuntu-release-upgrader (1:19.10.14) eoan; urgency=medium

  * DistUpgrade/DistUpgradeCache.py: New python3-apt bindings no longer provide
    Package.section, so switch to using Package.{candidate,installed}.section
    whenever applicable. This fixes broken partial upgrades. (LP: #1841675)

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Thu, 10 Oct 2019 09:59:30 +0200

ubuntu-release-upgrader (1:19.10.13) eoan; urgency=medium

  [ Brian Murray ]
  * DistUpgrade/DistUpgradeQuirks.py: do not include gnome-system-monitor in
    the deb to snap transition anymore. (LP: #1845485)
  * DistUpgrade/DistUpgradeQuirks.py: improve wording regarding not being able
    to upgrade from a system with an apt architecture of i386.

  [ Łukasz 'sil2100' Zemczak ]
  * DistUpgrade/DistUpgradeQuirks.py: slightly refactor code to fix related
    unit tests.

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Thu, 03 Oct 2019 14:34:06 +0200

ubuntu-release-upgrader (1:19.10.12) eoan; urgency=medium

  * DistUpgrade/DistUpgradeCache.py: Make sure checkFreeSpace() still works for
    update-manager with its own implementation of MyCache. (LP: #1843076)

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Tue, 10 Sep 2019 18:44:43 +0200

ubuntu-release-upgrader (1:19.10.11) eoan; urgency=medium

  * DistUpgrade/DistUpgradeQuirks.py, DistUpgrade/DistUpgradeCache.py:
    Modify DistUpgradeQuirks to calculate extra space needed for snaps that
    need to be installed during upgrade (replacing old debs) and add that to
    estimates done in checkFreeSpace(). (LP: #1783597)
  * DistUpgrade/DistUpgradeQuirks.py: Make sure snaps like core18 are not
    refreshed/installed from the stable/ubuntu-VERSION branch but instead use
    stable on upgrades. (LP: #1841225)

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Tue, 03 Sep 2019 15:58:38 +0200

ubuntu-release-upgrader (1:19.10.10) eoan; urgency=medium

  [ Brian Murray ]
  * DistUpgrade/DistUpgradeQuirks.py: Resolve issue with the fallback
    mechanism including more than the version number for the release.

  [ Gianfranco Costamagna ]
  * Fix E117 over idented code

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 29 Jul 2019 23:08:52 +0200

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog python3-distupgrade`.
